API Direct
Endpoints
Bluesky Users

Bluesky Users

GET /v1/bluesky/users

Search Bluesky users by keyword. Matches handles, display names, and bios. Returns handle, display name, DID, bio, verification status, profile picture, and join date for each account.

Cost
$0.003 per page
Free tier
50 requests/month

Parameters

query *
Search keyword (max 500 characters)
pages
Number of pages to fetch, 1-20 (default: 1). Each page returns up to 50 users; you are billed per page returned.

Example Request

curl "https://apidirect.io/v1/bluesky/users?query=anthropic&pages=1"   -H "X-API-Key: YOUR_API_KEY"

Example Response

{
  "users": [
    {
      "username": "anthropic.com",
      "full_name": "Anthropic",
      "user_id": "did:plc:7xblllgnpqtiotu62pic747n",
      "biography": "We're an Al safety and research company that builds reliable, interpretable, and steerable Al systems. Talk to our Al assistant Claude at Claude.ai.",
      "is_verified": false,
      "profile_pic_url": "https://cdn.bsky.app/img/avatar/plain/did:plc:7xblllgnpqtiotu62pic747n/bafkreifymuozievn7kgdpqlqmbhycgcmzg2zytdtsks5diw4ost34iybjm",
      "date_joined": "2024-11-19 19:33:47",
      "url": "https://bsky.app/profile/anthropic.com"
    }
  ],
  "pages": 1,
  "count": 50
}

Your Usage

Free tier this month
Loading...
Recent Activity